Hakila Docs
Models

列出可用模型

回傳 Hakila 目錄中的模型清單,格式對齊 OpenRouter。 模型 id 使用 `provider/model` 命名(例如 `openai/gpt-5.6-luna`)。 完整清單以後端 `ModelCatalog` 為準。

GET
/api/v1/models

回傳 Hakila 目錄中的模型清單,格式對齊 OpenRouter。 模型 id 使用 provider/model 命名(例如 openai/gpt-5.6-luna)。 完整清單以後端 ModelCatalog 為準。

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization 標頭帶入 Workspace API Key: Authorization: Bearer sk-hakila-...

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/models"
{  "data": [    {      "id": "hakila/auto",      "name": "Hakila: Auto",      "context_length": 2000000,      "owned_by": "hakila"    },    {      "id": "openai/gpt-5.6-luna",      "name": "OpenAI: GPT-5.6 Luna",      "context_length": 1050000,      "owned_by": "openai"    },    {      "id": "google/gemini-flash-latest",      "name": "Google: Gemini Flash (latest)",      "context_length": 1048576,      "owned_by": "google"    }  ]}